export declare class FetcherError extends Error {
    status?: number;
    statusText?: string;
    url: string;
    constructor(message: string, { status, statusText, url, cause, }: {
        status?: number;
        statusText?: string;
        url: string;
        cause?: Error;
    });
}
export declare function fetcher<T = Record<string, unknown>>({ url, query, body, headers: customHeaders, signal, }: {
    url: string | URL;
    query?: Record<string, string | boolean | number>;
    body?: Record<string, any>;
    headers?: RequestInit['headers'];
    signal?: AbortSignal;
}): Promise<T>;
//# sourceMappingURL=fetcher.d.ts.map