export interface GitLabParsedUrl {
    fullPath: string;
}
export interface BitbucketParsedUrl {
    fullPath: string;
}
export interface GitHubParsedUrl {
    owner: string;
    repoName: string;
}
export declare function areUrlsSame({ a, b }: {
    a: string;
    b: string;
}): boolean;
export declare function isRemoteUrl(url: string): boolean;
/**
 * @link https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/Data_URIs
 */
export declare const isDataUrl: (dataString: string) => boolean;
export declare const slugify: (opt: string | {
    string: string;
    /**
     * Removes all special characters. Necessary when used to create JS targets
     * that are invalid when special characters are present.
     */
    strict?: boolean;
    lowerCase?: boolean;
}) => string;
/**
 * When dealing with nav paths, we need to find the entity type of the link (first
 * part, e.g. 'page' or 'pattern') and the entity id (second part, e.g. 'home').
 */
export declare const extractPathParts: (path: string) => string[] | null;
export declare function createFigmaUrl({ fileId, nodeId, version, }: {
    fileId: string;
    nodeId?: string;
    version?: string | number;
}): string;
export declare function parseFigmaUrl(figmaUrl: string): {
    type: 'proto' | 'file' | 'design' | 'board';
    fileId: string;
    nodeId?: string;
    version?: string;
};
/**
 * Create a query string from an object of params
 * Does not include undefined, null, or empty string values
 * Does not include leading `?`
 */
export declare function createQueryParams(params: Record<string, string | number | boolean | undefined | null>): string;
//# sourceMappingURL=urls.d.ts.map